Loading...
Searching...
No Matches
fastjet::JetDefinition::Plugin Class Referenceabstract
Advanced usage

a class that allows a user to introduce their own "plugin" jet finder More...

`#include <fastjet/JetDefinition.hh>`

Inheritance diagram for fastjet::JetDefinition::Plugin:
[legend]

## Public Member Functions

virtual std::string | description () const =0
| return a textual description of the jet-definition implemented in this plugin
virtual void | run_clustering (ClusterSequence &) const =0
| given a ClusterSequence that has been filled up with initial particles, the following function should fill up the rest of the ClusterSequence, using the following member functions of ClusterSequence:
virtual double | R () const =0
virtual bool | supports_ghosted_passive_areas () const
| return true if there is specific support for the measurement of passive areas, in the sense that areas determined from all particles below the ghost separation scale will be a passive area.
virtual void | set_ghost_separation_scale (double scale) const
| set the ghost separation scale for passive area determinations in future runs (strictly speaking that makes the routine a non const, so related internal info must be stored as a mutable)
virtual double | ghost_separation_scale () const
virtual bool | exclusive_sequence_meaningful () const
| if this returns false then a warning will be given whenever the user requests "exclusive" jets from the cluster sequence
virtual bool | is_spherical () const
| returns true if the plugin implements an algorithm intended for use on a spherical geometry (e.g.
virtual | ~Plugin ()
| a destructor to be replaced if necessary in derived classes...

## Detailed Description

a class that allows a user to introduce their own "plugin" jet finder

Note that all the plugins provided with FastJet are derived from this class

Definition at line 560 of file JetDefinition.hh.

## Constructor & Destructor Documentation

## ~Plugin()

virtual fastjet::JetDefinition::Plugin::~Plugin | ( |  | ) |

inline virtual

a destructor to be replaced if necessary in derived classes...

Definition at line 600 of file JetDefinition.hh.

## Member Function Documentation

## description()

virtual std::string fastjet::JetDefinition::Plugin::description | ( |  | ) | const

pure virtual

return a textual description of the jet-definition implemented in this plugin

Implemented in fastjet::ATLASConePlugin, fastjet::CDFJetCluPlugin, fastjet::CDFMidPointPlugin, fastjet::CMSIterativeConePlugin, fastjet::D0RunIBaseConePlugin, fastjet::D0RunIConePlugin, fastjet::D0RunIIConePlugin, fastjet::D0RunIpre96ConePlugin, fastjet::EECambridgePlugin, fastjet::GridJetPlugin, fastjet::JadePlugin, fastjet::NestedDefsPlugin, fastjet::PruningPlugin, fastjet::PxConePlugin, fastjet::SISConeBasePlugin, fastjet::SISConePlugin, fastjet::SISConeSphericalPlugin, and fastjet::TrackJetPlugin.

## run_clustering()

virtual void fastjet::JetDefinition::Plugin::run_clustering | ( | ClusterSequence & |  | ) | const

pure virtual

given a ClusterSequence that has been filled up with initial particles, the following function should fill up the rest of the ClusterSequence, using the following member functions of ClusterSequence:

- plugin_do_ij_recombination(...)
- plugin_do_iB_recombination(...)

Implemented in fastjet::ATLASConePlugin, fastjet::CDFJetCluPlugin, fastjet::CDFMidPointPlugin, fastjet::CMSIterativeConePlugin, fastjet::D0RunIBaseConePlugin, fastjet::D0RunIConePlugin, fastjet::D0RunIIConePlugin, fastjet::D0RunIpre96ConePlugin, fastjet::EECambridgePlugin, fastjet::GridJetPlugin, fastjet::JadePlugin, fastjet::NestedDefsPlugin, fastjet::PruningPlugin, fastjet::PxConePlugin, fastjet::SISConeBasePlugin, fastjet::SISConePlugin, fastjet::SISConeSphericalPlugin, and fastjet::TrackJetPlugin.

## R()

virtual double fastjet::JetDefinition::Plugin::R | ( |  | ) | const

pure virtual

Implemented in fastjet::ATLASConePlugin, fastjet::CDFJetCluPlugin, fastjet::CDFMidPointPlugin, fastjet::CMSIterativeConePlugin, fastjet::D0RunIBaseConePlugin, fastjet::D0RunIIConePlugin, fastjet::EECambridgePlugin, fastjet::GridJetPlugin, fastjet::JadePlugin, fastjet::NestedDefsPlugin, fastjet::PruningPlugin, fastjet::PxConePlugin, fastjet::SISConeBasePlugin, and fastjet::TrackJetPlugin.

## supports_ghosted_passive_areas()

virtual bool fastjet::JetDefinition::Plugin::supports_ghosted_passive_areas | ( |  | ) | const

inline virtual

return true if there is specific support for the measurement of passive areas, in the sense that areas determined from all particles below the ghost separation scale will be a passive area.

[If you don't understand this, ignore it!]

Reimplemented in fastjet::SISConeBasePlugin, and fastjet::SISConeSphericalPlugin.

Definition at line 580 of file JetDefinition.hh.

## set_ghost_separation_scale()

void fastjet::JetDefinition::Plugin::set_ghost_separation_scale | ( | double | scale | ) | const

virtual

set the ghost separation scale for passive area determinations in future runs (strictly speaking that makes the routine a non const, so related internal info must be stored as a mutable)

Reimplemented in fastjet::SISConeBasePlugin.

Definition at line 440 of file JetDefinition.cc.

## ghost_separation_scale()

virtual double fastjet::JetDefinition::Plugin::ghost_separation_scale | ( |  | ) | const

inline virtual

Definition at line 586 of file JetDefinition.hh.

## exclusive_sequence_meaningful()

virtual bool fastjet::JetDefinition::Plugin::exclusive_sequence_meaningful | ( |  | ) | const

inline virtual

if this returns false then a warning will be given whenever the user requests "exclusive" jets from the cluster sequence

Reimplemented in fastjet::EECambridgePlugin, and fastjet::JadePlugin.

Definition at line 591 of file JetDefinition.hh.

## is_spherical()

virtual bool fastjet::JetDefinition::Plugin::is_spherical | ( |  | ) | const

inline virtual

returns true if the plugin implements an algorithm intended for use on a spherical geometry (e.g.

e+e- algorithms, as opposed to most pp algorithms, which use a cylindrical, rapidity-phi geometry).

Reimplemented in fastjet::EECambridgePlugin, and fastjet::SISConeSphericalPlugin.

Definition at line 597 of file JetDefinition.hh.

The documentation for this class was generated from the following files:

- include/fastjet/JetDefinition.hh
- src/JetDefinition.cc